Package org.eclipse.microprofile.openapi.tck.utils

# Class TCKMatchers.ItemOrSingletonMatcher

java.lang.Object
org.hamcrest.BaseMatcher<T>
org.hamcrest.TypeSafeDiagnosingMatcher<Object>
org.eclipse.microprofile.openapi.tck.utils.TCKMatchers.ItemOrSingletonMatcher

All Implemented Interfaces:
  `org.hamcrest.Matcher<Object>`, `org.hamcrest.SelfDescribing`

Enclosing class:
  TCKMatchers

public static class TCKMatchers.ItemOrSingletonMatcher extends org.hamcrest.TypeSafeDiagnosingMatcher<Object>

## Constructor Summary

Constructors
Constructor
Description
`ItemOrSingletonMatcher(org.hamcrest.Matcher<?> baseMatcher)`

## Method Summary

Modifier and Type
Method
Description
`void`
`describeTo(org.hamcrest.Description description)`
`protected boolean`
`matchesSafely(Object item, org.hamcrest.Description mismatchDescription)`

### Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher

`describeMismatch, matches`

### Methods inherited from class org.hamcrest.BaseMatcher

`_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ItemOrSingletonMatcher

public ItemOrSingletonMatcher(org.hamcrest.Matcher<?> baseMatcher)

## Method Details

### describeTo

public void describeTo(org.hamcrest.Description description)

### matchesSafely

protected boolean matchesSafely(Object item, org.hamcrest.Description mismatchDescription)

Specified by:
  `matchesSafely` in class `org.hamcrest.TypeSafeDiagnosingMatcher<Object>`